##  function to write distance object as made by R's dist() function in form required by CUES :
##  by R.S. Forsyth (2015-01-14 : 2015-01-14).

distout = function (d,f,lablist=NULL) {
	##  d is result from dist() function; f is o/p file; lablist gives rowcol labels if any.
	
	dm = as.matrix(d)  ##  makes a square matrix
	##  append labels if given :
	if (length(lablist) == ncol(dm)) {
		rownames(dm) = lablist
		colnames(dm) = lablist
		}  ##  typically lablist = attr(d,"Labels") but unspecified here to allow alternatives
	##  write onto text file with tabs as delimiters :
	write.table(dm,file=f,quote=FALSE,sep='\t',row.names=FALSE,col.names=TRUE)
}
